package enum

// PriceSetting 价格设置枚举类
const PriceSetting = "price_setting"

// AliyunOss 阿里云对象存储枚举类
type AliyunOss int32

const (
	AliyunOssEndpoint        = 1
	AliyunOssBucketName      = 2
	AliyunOssBucketScheme    = 3
	AliyunOssAccessKeyID     = 4
	AliyunOssAccessKeySecret = 5
	AliyunOssDomain          = 6
)

func (gt AliyunOss) String() string {
	switch gt {
	case AliyunOssEndpoint:
		return "oss_endpoint"
	case AliyunOssBucketName:
		return "oss_bucket_name"
	case AliyunOssBucketScheme:
		return "oss_bucket_scheme"
	case AliyunOssAccessKeyID:
		return "oss_access_key_id"
	case AliyunOssAccessKeySecret:
		return "oss_access_key_secret"
	case AliyunOssDomain:
		return "oss_domain"

	default:
		return "未知"
	}
}

// VideoReward 视频激励设置
type VideoReward string

const (
	VideoRewardUnitPrice = "video_reward_unit_price"
	VideoRewardECPM      = "video_reward_ecpm"
)

func (gt VideoReward) String() string {
	switch gt {
	case VideoRewardUnitPrice:
		return "激励视频单价"
	case VideoRewardECPM:
		return "激励视屏ecpm值"

	default:
		return "未知"
	}
}
